[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomTrayIcon.Destroy

Destroy - destructor for TCustomTrayIcon: frees icon and timer then calls inherited Destroy

## Declaration

Source position: extctrls.pp line 1330

`public destructor TCustomTrayIcon.Destroy; override;`

## Description

Destroy sends a opRemove notification to all components in the free-notification list. After that, all owned components are destroyed by calling DestroyComponents (and hence removed from the list of owned components). When this is done, the component removes itself from its owner's child component list. After that, the parent's destroy method is called.

## See also

TComponent.Destroy

The latest version of this document can be found at lazarus-ccr.sourceforge.net .